Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationProfiling

    java.lang.Object
      kodo.manage.AbstractManagementConfiguration
          kodo.manage.ManagementConfigurationProfiling

All Implemented Interfaces:
  ManagementConfiguration, org.apache.openjpa.lib.conf.Configurable, org.apache.openjpa.lib.util.Closeable

Direct Known Subclasses:
  ManagementConfigurationProfilingJMX, ManagementConfigurationProfilingLocal

    public abstract class ManagementConfigurationProfiling

extends AbstractManagementConfiguration

Abstract configuration for local profiling.

Field Summary

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`conf`

Constructor Summary
`ManagementConfigurationProfiling()`

Method Summary
`void` | `closeProfiling()`
`com.solarmetric.profile.ExecutionContextNameProvider` | `getExecutionContextNameProvider()`
`Collection` | `getPlugins()`
`com.solarmetric.profile.ProfilingInterface` | `getProfilingInterface()`
`void` | `initProfiling(kodo.profile.KodoProfilingAgent agent)`
`void` | `setStackStyle(String stackStyle)`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`close, closeManagement, endConfiguration, getMBeanPlugins, getMBeanServer, getProfilingAgent, initManagement, setConfiguration, startConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationProfiling

    public ManagementConfigurationProfiling()

Method Detail

### initProfiling

    public void initProfiling(kodo.profile.KodoProfilingAgent agent)

  Specified by:
    `initProfiling` in interface `ManagementConfiguration`
  Overrides:
    `initProfiling` in class `AbstractManagementConfiguration`

### closeProfiling

    public void closeProfiling()

  Specified by:
    `closeProfiling` in interface `ManagementConfiguration`
  Overrides:
    `closeProfiling` in class `AbstractManagementConfiguration`

### getPlugins

    public Collection getPlugins()

  Overrides:
    `getPlugins` in class `AbstractManagementConfiguration`

### getProfilingInterface

    public com.solarmetric.profile.ProfilingInterface getProfilingInterface()

### getExecutionContextNameProvider

    public com.solarmetric.profile.ExecutionContextNameProvider getExecutionContextNameProvider()

  Specified by:
    `getExecutionContextNameProvider` in interface `ManagementConfiguration`
  Overrides:
    `getExecutionContextNameProvider` in class `AbstractManagementConfiguration`

### setStackStyle

    public void setStackStyle(String stackStyle)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.